/*******************************************************************************
* dma.h			DMA packet definitions
*/
#ifndef INCdmah
#define INCdmah

typedef struct dmaControlFrame
{
	long preamble;
	long type;
	long sequence;
	long length;
	long state;
	long stream;
	long postamble;
} FRAME;

#define MAX_LENGTH (0x4000 - 2)						  /* maximum frame length */

#define DATA_LENGTH (MAX_LENGTH - sizeof (FRAME))	 /* maximum data field  */

#define DMA_STREAMS 4								 /* number of dma streams */

#endif
