
#    common procedures used for directory browser operations

set selection {}

if {![info exists directory]} then {set directory $env(HOME)}

proc pluralise-spectrum {n} {if {$n==1} then {return "spectrum"} else {return "spectra"}}

proc click-directorylist {v i} {
   global selection
   set selection $i
}

proc click-directory d {
   global directory env
   if {"$d" != ""} then {
      if {"$d" == "~"} then {set directory $env(HOME)} else {set directory $d}
   }
   click-redisplay
}

proc click-up {} {
   global directory
   set directory [directory-up $directory]
   click-redisplay
   set selection {}
}   

proc click-down {} {
   global selection directory
   set directory [directory-down $directory $selection]
   click-redisplay
   set selection {}
}

proc click-redisplay {} {
   global directory
   frame-busy
   set-footer "Scanning directory $directory..."
   read-directory $directory
   paint-directory $directory 
   frame-idle
}
